# Enum Class Transition.Base

java.lang.Object
java.lang.Enum<Transition.Base>
picard.analysis.artifacts.Transition.Base

All Implemented Interfaces:
  `Serializable, Comparable<Transition.Base>, Constable`

Enclosing class:
  `Transition`

protected static enum Transition.Base extends Enum<Transition.Base>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`A`
`C`
`G`
`T`

## Field Summary

Fields
Modifier and Type
Field
Description
`byte`
`base`

## Method Summary

Modifier and Type
Method
Description
`static Transition.Base`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Transition.Base[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### A

public static final Transition.Base A

### C

public static final Transition.Base C

### G

public static final Transition.Base G

### T

public static final Transition.Base T

## Field Details

### base

public byte base

## Method Details

### values

public static Transition.Base[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Transition.Base valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null